Project

General

Profile

Feature #6440

ssh packages should be replaceable

Added by Alexander Pyhalov about 5 years ago. Updated about 5 years ago.

Status:
Closed
Priority:
Normal
Assignee:
-
Category:
-
Start date:
2015-11-06
Due date:
% Done:

100%

Estimated time:
Difficulty:
Medium
Tags:
needs-triage
Gerrit CR:

Description

Currently illumos-gate provides Sun SSH, which is based on old OpenSSH version. It would be good if it could coexist with OpenSSH installation. To make it possible, ssh implementation should be controlled with mediator.


Related issues

Related to illumos gate - Bug #6485: sun-ssh isn't happy with /etc/ssh/moduli contents after 6440Closed2015-11-27

Actions
#1

Updated by Josef Sipek about 5 years ago

Alternatively, we could just nuke SunSSH.

Aside from mediating being the more conservative option, is there any other reason to keep SunSSH around?

#2

Updated by Alexander Pyhalov about 5 years ago

OI /dev. I suppose there are still people compiling fresh illumos-gate on OI /dev. Nuking ssh will make it even less usable.

#3

Updated by Yuri Pankov about 5 years ago

  • Subject changed from ssh packages should be replaceable to ssh packages should be replaceable
#4

Updated by Electric Monk about 5 years ago

  • Status changed from New to Closed
  • % Done changed from 0 to 100

git commit 75614fd9696d97522ed7ed8009a66eb3544d61ad

commit  75614fd9696d97522ed7ed8009a66eb3544d61ad
Author: Alexander Pyhalov <apyhalov@gmail.com>
Date:   2015-11-19T02:18:13.000Z

    6440 ssh packages should be replaceable
    Reviewed by: Josef 'Jeff' Sipek <jeffpc@josefsipek.net>
    Reviewed by: Richard Lowe <richlowe@richlowe.net>
    Approved by: Dan McDonald <danmcd@omniti.com>

#5

Updated by Yuri Pankov about 5 years ago

  • Related to Bug #6485: sun-ssh isn't happy with /etc/ssh/moduli contents after 6440 added

Also available in: Atom PDF